cURL
curl --request POST \
--url https://api.brightdata.com/serp/req \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": {
"q": "pizza",
"gl": "au",
"hl": "en",
"start": 20
},
"country": "US"
}
'import requests
url = "https://api.brightdata.com/serp/req"
payload = {
"query": {
"q": "pizza",
"gl": "au",
"hl": "en",
"start": 20
},
"country": "US"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: {q: 'pizza', gl: 'au', hl: 'en', start: 20}, country: 'US'})
};
fetch('https://api.brightdata.com/serp/req', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response_id": "s4t7w3619285042ra9dke1m8qx"
}SERP API
SERP async request
Use the Bright Data SERP API async endpoint (31 languages). POST /serp/req submits or retrieves a queued SERP request and returns 200 OK as JSON.
POST
/
serp
/
req
cURL
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd...
Query Parameters
The name of your Bright Data Unlocker zone.
Your Bright Data account ID.
Body
application/json
Response
200 - application/json
OK
Defines the job id.
Example:
"s4t7w3619285042ra9dke1m8qx"
Was this page helpful?
⌘I